%define upstream_name    Dist-Zilla-Plugin-DualLife
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Distribute dual-life modules with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
Dual-life modules, which are modules distributed both as part of the perl
core and on CPAN, sometimes need a little special treatment. This module
tries provide that for modules built with 'Dist::Zilla'.

Currently the only thing this module does is providing an 'INSTALLDIRS'
option to 'ExtUtils::MakeMaker''s 'WriteMakefile' function, so dual-life
modules will be installed in the right section of '@INC' depending on
different versions of perl.

As more things that need special handling for dual-life modules show up,
this module will try to address them as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366128
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71116
- imported package perl-Dist-Zilla-Plugin-DualLife

